Name:      mod_gnutls
Version:   0.5.5
Release:   6%{?dist}
Summary:   GnuTLS module for the Apache HTTP server
Group:     System Environment/Daemons
License:   ASL 2.0
URL:       http://www.outoforder.cc/projects/apache/mod_gnutls
Source0:   http://www.outoforder.cc/downloads/mod_gnutls/%{name}-%{version}.tar.bz2
Source1:   mod_gnutls.conf
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: gnutls-devel httpd-devel
Requires:  httpd

%description
mod_gnutls uses the GnuTLS library to provide SSL 3.0, TLS 1.0 and TLS 1.1
encryption for Apache HTTPD.  It is similar to mod_ssl in purpose, but does
not use OpenSSL.  A primary benefit of using this module is the ability to
configure multiple SSL certificates for a single IP-address/port combination
(useful for securing virtual hosts).
    
Features
    * Support for SSL 3.0, TLS 1.0 and TLS 1.1.
    * Support for client certificates.
    * Support for RFC 5081 OpenPGP certificate authentication.
    * Support for Server Name Indication.
    * Distributed SSL Session Cache via Memcached
    * Local SSL Session Cache using DBM
    * Sets enviromental vars for scripts (compatible with mod_ssl vars)
    * Small and focused code base:
         Lines of code in mod_gnutls: 3,593
         Lines of code in mod_ssl: 15,324

%prep
%setup -q
cp %{SOURCE1} .

%build
%configure --disable-srp
%{__make} %{?_smp_mflags}

%check
%{__make} check

%install
rm -rf %{buildroot}
%{__install} -m 755 -D src/.libs/libmod_gnutls.so %{buildroot}%{_libdir}/httpd/modules/mod_gnutls.so
%{__install} -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_gnutls.conf
%{__install} -d -m 0700 %{buildroot}%{_localstatedir}/cache/mod_gnutls

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README NEWS NOTICE LICENSE README.ENV
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_gnutls.conf
%{_localstatedir}/cache/mod_gnutls

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 17 2009 Erick Calder <rpm@arix.com> - 0.5.5-5
- removed use of define {ooo}

* Thu Sep 17 2009 Erick Calder <rpm@arix.com> - 0.5.5-4
- dependency generator missed need for httpd.  added by hand.
- abstracted Source0:

* Tue Sep 15 2009 Erick Calder <rpm@arix.com> - 0.5.5-3
- mention of SRP removed from description of package
- added httpd-devel to build requires
- fixed license (harmonized with httpd)

* Tue Sep 15 2009 Erick Calder <rpm@arix.com> - 0.5.5-2
- Added BuildRequires
- removed comments stating the specfile was generated by cpan2rpm
- added BuildRoot
- added install clean

* Fri Sep 11 2009 Erick Calder <rpm@arix.com> - 0.5.5-2
- Initial build

